PHP selector або як змінити версію PHP для сайту на Вашому сервері?

Для багатьох користувачів іноді дуже важливо, яка версія PHP встановлена ​​на сервері хостинг провайдера, так як для сайтів багатьох з них підходить тільки певна версія PHP і даний сайт може працювати тільки на цій одній версії.

Дуже часто користувачі спочатку купують хостинг і переносять дані сайту (файли і бази даних) на сервера хостинг провайдера і тільки потім починають з'ясовувати, яка саме версія PHP найбільше підходить для сайту.

В результаті несумісності версій, користувачі змушені просити технічну підтримку хостинг компанії перенести сайт на інший сервер з підтримкою іншої версії PHP, що впливає на працездатність сайту і займає час (іноді багато часу, якщо файли Вашого сайту займають кілька гігабайт наприклад).

 

Зовсім недавно c допомогою унікальної операційної системи Cloud Linux був знайдений вихід з даної ситуації і вирішено питання з версіями PHP для сайтів. Даним унікальним рішенням став модуль Cpanel PHP Selector. Якщо ви власник VPS або виділеного сервера, тепер просто досить встановити на сервер  LVE Manager  за допомогою вашої панелі управління WHM, а після цього встановити PHP selector з потрібними версіями PHP і модулями.

yum install lvemanager




yum groupinstall alt-php


Післч встановлення LVE Manager з'явиться в вашій панелі WHM:






:

Варто відзначити той факт, що PHP Selector, який входить до складу LVE Manager є платним (ціни на ліцензії можна переглянути за посиланням http://www.cloudlinux.com/about/pricing.php).

Після покупки ліцензії і завершення установки модуля, Ваш хостинг може підтримувати більше двох встановлених версій PHP одночасно. Ви самостійно можете вибирати версію для вашого сайту (це стосується також користувачів Shared Хостингу), а також активувати потрібні модулі або акселератори. 
<img id

Ця відповідь Вам допомогла? 2 Користувачі, які знайшли це корисним (6 Голосів)